javax.servlet.jsp.tagext

## Class TagFileInfo

- java.lang.Object
- - javax.servlet.jsp.tagext.TagFileInfo

    public class TagFileInfo
    extends java.lang.Object

Tag information for a tag file in a Tag Library; This class is instantiated from the Tag Library Descriptor file (TLD) and is available only at translation time.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`TagFileInfo(java.lang.String name, java.lang.String path, TagInfo tagInfo)` Constructor for TagFileInfo from data in the JSP 2.0 format for TLD.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` The unique action name of this tag.
`java.lang.String` `getPath()` Where to find the .tag file implementing this action.
`TagInfo` `getTagInfo()` Returns information about this tag, parsed from the directives in the tag file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagFileInfo

    public TagFileInfo(java.lang.String name,
                       java.lang.String path,
                       TagInfo tagInfo)

Constructor for TagFileInfo from data in the JSP 2.0 format for TLD. This class is to be instantiated only from the TagLibrary code under request from some JSP code that is parsing a TLD (Tag Library Descriptor). Note that, since TagLibraryInfo reflects both TLD information and taglib directive information, a TagFileInfo instance is dependent on a taglib directive. This is probably a design error, which may be fixed in the future.

Parameters:
  `name` - The unique action name of this tag
  `path` - Where to find the .tag file implementing this action, relative to the location of the TLD file.
  `tagInfo` - The detailed information about this tag, as parsed from the directives in the tag file.

### Method Detail

#### getName

    public java.lang.String getName()

The unique action name of this tag.

Returns:
  The (short) name of the tag.

#### getPath

    public java.lang.String getPath()

Where to find the .tag file implementing this action.

Returns:
  The path of the tag file, relative to the TLD, or "." if the tag file was defined in an implicit tag file.

#### getTagInfo

    public TagInfo getTagInfo()

Returns information about this tag, parsed from the directives in the tag file.

Returns:
  a TagInfo object containing information about this tag